Summary:       A GSSAPI Authentication module for Apache
Name:          mod_auth_gssapi
Version:       1.6.5
Release:       6%{?dist}
License:       MIT
URL:           https://github.com/gssapi/mod_auth_gssapi
Source0:       https://github.com/gssapi/%{name}/releases/download/v%{version}/%name-%{version}.tar.gz

BuildRequires: httpd-devel krb5-devel openssl-devel autoconf automake libtool bison flex make git
Requires:      httpd-mmn = %{_httpd_mmn} krb5-libs

%description
The mod_auth_gssapi module is an authentication service that implements the SPNEGO based HTTP
Authentication protocol defined in RFC4559.

%prep
%autosetup -S git_am

%build
export APXS=%{_httpd_apxs}
autoreconf -fi
%configure
%make_build

%install
install -Dm 755 src/.libs/%{name}.so %{buildroot}%{_httpd_moddir}/%{name}.so
echo "LoadModule auth_gssapi_module modules/mod_auth_gssapi.so" > 10-auth_gssapi.conf
install -Dm 644 10-auth_gssapi.conf %{buildroot}%{_httpd_modconfdir}/10-auth_gssapi.conf

%files
%license COPYING
%doc COPYING
%config(noreplace) %{_httpd_modconfdir}/10-auth_gssapi.conf
%{_httpd_moddir}/mod_auth_gssapi.so

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.5-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.5-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 19 2023 cunshunxia <cunshunxia@tencent.com> - 1.6.5-4
- Rebuilt for httpd 2.4.57

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.5-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 6 2023 Shuo Wang <abushwang@tencent.com> - 1.6.5-1
- initial build
